Class | Snapshot::ValueHolder
In: | lib/facets/more/snapshot.rb
Parent: | Object

Implements a value holder. In Wee this is useful for backtracking the reference assigned to an instance variable (not the object itself!). An example where this is used is the `@__decoration` attribute of class Wee::Component.

### Methods

new restore_snapshot take_snapshot

### Attributes

value | [RW] |

### Public Class methods

new(value=nil)

### Public Instance methods

restore_snapshot(value)
take_snapshot()

[Validate]